* REPLICATION FILE for BAS & STONE, RIO


* llik procedure
capture program drop STRvreelandALT_lf
program define STRvreelandALT_lf
        version 8.0
	args 	lnf u12 u13 u23	
	tempvar pGap pIgr 
	qui gen double `pIgr' = norm(`u23')
	qui gen double `pGap' = norm(`pIgr'*`u13' + (1-`pIgr')*`u12')

	qui replace `lnf' = ln(`pGap') + ln(`pIgr')   if $ML_y1 
	qui replace `lnf' = ln(1-`pGap'*`pIgr') if !$ML_y1
end



* TABLE 1 Results

*Pooled

matrix inits = (-3.472838, -.058627, -.0037009, .0547473, -.0210273, .0485095, .0008122, -.0510027, -.0305612, .0283492, -.3656841, .6120965)

qui ml model lf STRvreelandALT_lf /u12 (u13: und = reserves deficitM debtser ki sum IMFother legelec, nocons) (u23:und = bop IMFother democracy)

ml init inits, copy skip

*qui ml search, r(5000)

ml maximize, difficult iterate(200)

gen sampleMLE=e(sample)

capture predict xu12, xb equation(#1)
capture predict xu13, xb equation(#2)
capture predict xu23, xb equation(#3)

capture gen double probI = normal(xu23)
capture gen double probG = normal(probI*xu13 + (1-probI)*xu12)

capture gen double probP = probG*probI
capture gen double nonprob1 = (1- probG) 
capture gen double nonprob2 = probG*(1-probI)

* predicted outcomes
capture egen double maxprob = rowmax(nonprob1 nonprob2 probP) 
capture gen predprog = maxprob == probP & probG!=. & probI!=.

* predict which non-program case a given country is in
capture egen double maxnonprob = rowmax(nonprob*) 
capture gen noG = maxnonprob ==nonprob1 & probG!=. & probI!=.
capture gen yesGnoI = maxnonprob ==nonprob2 & probG!=. & probI!=.

capture gen double lamG = normalden(probI*xu13 + (1-probI)*xu12)/normal(probI*xu13 + (1-probI)*xu12)
capture gen double lamI = normalden(xu23)/normal(xu23)

capture gen double lamnG = -normalden(probI*xu13 + (1-probI)*xu12)/(1-normal(probI*xu13 + (1-probI)*xu12))
capture gen double lamnI = -normalden(xu23)/(1-normal(xu23))

* if no prog, based on predicted probs
capture gen lamG3 = lamG
capture gen lamI3 = lamI

capture replace lamG3 = lamnG if und==0 & noG ==1
capture replace lamI3 = 0 if und==0 & noG ==1
capture replace lamI3 = lamnI if und==0 & yesGnoI==1



* TABLE 5 predicted Program 
tab predprog und if sampleMLE==1


* MODEL 1 in TABLE 2

reg gdppcgrpwt  lamG lamI capformgr laborfor_gr inflation dum1-dum202

* MODEL 2 in TABLE 2

reg gdppcgrpwt l_gdppcgrpwt lamG lamI capformgr laborfor_gr inflation dum1-dum202


* MODEL 3 in TABLE 2

reg gdppcgrpwt l_gdppcgrpwt lamG lamI capformgr laborfor_gr inflation dum1-dum202 yr1-yr59


*FOR APPENDIX!
* Models 4 - 5 - 6 - 7 - 8 - 9 - 10 - 11 -12)
reg gdppcgrpwt capformgr laborfor_gr inflation  lamG lamI lifexp schooling fertility dum1-dum202 
reg gdppcgrpwt l_gdppcgrpwt capformgr laborfor_gr inflation  lamG lamI lifexp schooling fertility dum1-dum202  
reg gdppcgrpwt l_gdppcgrpwt capformgr laborfor_gr inflation  lamG lamI lifexp schooling fertility dum1-dum202 yr*
reg gdppcwdi_gr capformgr laborfor_gr inflation lamG lamI dum1-dum202
reg gdppcwdi_gr l_gdppcwdi_gr capformgr laborfor_gr inflation lamG lamI dum1-dum202
reg gdppcwdi_gr l_gdppcwdi_gr capformgr laborfor_gr inflation lamG lamI dum1-dum202 yr*
reg gdpgrpwt capformgr laborfor_gr inflation lamG lamI dum1-dum202
reg gdpgrpwt l_gdpgrpwt capformgr laborfor_gr inflation lamG lamI dum1-dum202
reg gdpgrpwt l_gdpgrpwt capformgr laborfor_gr inflation lamG lamI dum1-dum202 yr*



* Calculating Growth Benefit for MODEL 3 in Table 2


capture  reg  gdppcgrpwt l_gdppcgrpwt capformgr laborfor_gr inflation dum1-dum202 yr1-yr59 lamG3 lamI3 if und==0, robust

capture scalar b0cons = _b[_cons]
capture scalar b0lamG = _b[lamG3]
capture scalar b0lamI = _b[lamI3]


foreach var of varlist l_gdppcgrpwt capformgr laborfor_gr inflation dum1-dum202  yr1-yr59 {
capture scalar b0`var' = _b[`var']
}

capture reg gdppcgrpwt l_gdppcgrpwt capformgr laborfor_gr inflation dum1-dum202  yr1-yr59 lamG lamI if und==1, robust

capture scalar b1cons = _b[_cons]
capture scalar b1lamG = _b[lamG]
capture scalar b1lamI = _b[lamI]


foreach var of varlist l_gdppcgrpwt capformgr laborfor_gr inflation   dum1-dum202  yr1-yr59{
capture scalar b1`var' = _b[`var']
}

capture mat r4b = e(b)
capture mat r4v = vecdiag(e(V))
capture mata: st_matrix("r4s", sqrt(st_matrix("r4v")))
capture scalar r4p = e(rank)

capture gen ranbenefit = b1cons-b0cons

foreach var of varlist l_gdppcgrpwt capformgr laborfor_gr inflation dum1-dum202  yr1-yr59{
capture replace ranbenefit =  ranbenefit -b0`var'*`var'
}

foreach var of varlist l_gdppcgrpwt capformgr laborfor_gr inflation dum1-dum202  yr1-yr59{
capture replace ranbenefit =  ranbenefit + b1`var'*`var'
}

capture sum ranbenefit
capture scalar rantot = r(N)
capture scalar ranmn = r(mean)
capture count if ranbenefit>0 & ranbenefit!=.
capture scalar ranpos = r(N)

capture noisily di "Average Random Benefit is " ranmn
capture noisily di ranpos " out of " rantot " countries predicted to have positive program effect, (" 100*ranpos/rantot " percent)"

capture gen grossbenefit =  gdppcgrpwt - b0cons - b0lamG*lamG - b0lamI*lamI if und==1
foreach var of varlist l_gdppcgrpwt capformgr laborfor_gr inflation  dum1-dum202  yr1-yr59{
capture replace grossbenefit =  grossbenefit - b0`var'*`var' if und==1
}

capture sum grossbenefit
capture scalar grotot = r(N)
capture scalar gromn = r(mean)
capture count if grossbenefit>0 & grossbenefit!=.
capture scalar gropos = r(N)


di ""
capture noisily di "Average Gross Benefit for Treated is " gromn
capture noisily di gropos " out of " grotot " countries predicted to have positive program effect, (" 100*gropos/grotot " percent)"


capture gen expbenefit =  (b1cons-b0cons) + (b1lamG-b0lamG)*lamG + (b1lamI-b0lamI)*lamI if und==1
foreach var of varlist l_gdppcgrpwt capformgr laborfor_gr inflation  dum1-dum202  yr1-yr59{
capture replace expbenefit =  expbenefit -b0`var'*`var' if  und==1
}

foreach var of varlist l_gdppcgrpwt capformgr laborfor_gr inflation  dum1-dum202  yr1-yr59{
capture replace expbenefit =  expbenefit +b1`var'*`var' if  und==1
}

capture sum expbenefit
capture scalar exptot = r(N)
capture scalar expmn = r(mean)
capture count if expbenefit>0 & expbenefit!=.
capture scalar exppos = r(N)

di ""
di ""
capture noisily di "Average Expected Benefit for Treated is " expmn
capture noisily di exppos " out of " exptot " countries predicted to have positive program effect, (" 100*exppos/exptot " percent)"
capture scalar convergence = conv 
di ""


* TABLE 3
gen posest = expbenefit>0 if expbenefit!=.
gen posgr = gdppcgrpwt>0 if expbenefit!=.
noi tab posgr  posest


* Figure 3:
hist expbenefit, name(three, replace)


* Calculating Growth Benefit for MODEL 2 in Table 2

capture  reg  gdppcgrpwt l_gdppcgrpwt capformgr laborfor_gr inflation dum1-dum202 lamG3 lamI3 if und==0, robust

capture scalar b0cons = _b[_cons]
capture scalar b0lamG = _b[lamG3]
capture scalar b0lamI = _b[lamI3]


foreach var of varlist l_gdppcgrpwt capformgr laborfor_gr inflation dum1-dum202{
capture scalar b0`var' = _b[`var']
}


capture reg gdppcgrpwt l_gdppcgrpwt capformgr laborfor_gr inflation dum1-dum202 lamG lamI if und==1, robust

capture scalar b1cons = _b[_cons]
capture scalar b1lamG = _b[lamG]
capture scalar b1lamI = _b[lamI]


foreach var of varlist l_gdppcgrpwt capformgr laborfor_gr inflation   dum1-dum202{
capture scalar b1`var' = _b[`var']
}

capture mat r4b = e(b)
capture mat r4v = vecdiag(e(V))
capture mata: st_matrix("r4s", sqrt(st_matrix("r4v")))
capture scalar r4p = e(rank)

capture gen ranbenefit = b1cons-b0cons

foreach var of varlist l_gdppcgrpwt capformgr laborfor_gr inflation dum1-dum202{
capture replace ranbenefit =  ranbenefit -b0`var'*`var'
}

foreach var of varlist l_gdppcgrpwt capformgr laborfor_gr inflation dum1-dum202{
capture replace ranbenefit =  ranbenefit + b1`var'*`var'
}

capture sum ranbenefit
capture scalar rantot = r(N)
capture scalar ranmn = r(mean)
capture count if ranbenefit>0 & ranbenefit!=.
capture scalar ranpos = r(N)

capture noisily di "Average Random Benefit is " ranmn
capture noisily di ranpos " out of " rantot " countries predicted to have positive program effect, (" 100*ranpos/rantot " percent)"

capture gen grossbenefit =  gdppcgrpwt - b0cons - b0lamG*lamG - b0lamI*lamI if und==1
foreach var of varlist l_gdppcgrpwt capformgr laborfor_gr inflation  dum1-dum202{
capture replace grossbenefit =  grossbenefit - b0`var'*`var' if und==1
}

capture sum grossbenefit
capture scalar grotot = r(N)
capture scalar gromn = r(mean)
capture count if grossbenefit>0 & grossbenefit!=.
capture scalar gropos = r(N)


di ""
capture noisily di "Average Gross Benefit for Treated is " gromn
capture noisily di gropos " out of " grotot " countries predicted to have positive program effect, (" 100*gropos/grotot " percent)"


capture gen expbenefit =  (b1cons-b0cons) + (b1lamG-b0lamG)*lamG + (b1lamI-b0lamI)*lamI if und==1
foreach var of varlist l_gdppcgrpwt capformgr laborfor_gr inflation  dum1-dum202{
capture replace expbenefit =  expbenefit -b0`var'*`var' if  und==1
}

foreach var of varlist l_gdppcgrpwt capformgr laborfor_gr inflation  dum1-dum202{
capture replace expbenefit =  expbenefit +b1`var'*`var' if  und==1
}

capture sum expbenefit
capture scalar exptot = r(N)
capture scalar expmn = r(mean)
capture count if expbenefit>0 & expbenefit!=.
capture scalar exppos = r(N)

di ""
di ""
capture noisily di "Average Expected Benefit for Treated is " expmn
capture noisily di exppos " out of " exptot " countries predicted to have positive program effect, (" 100*exppos/exptot " percent)"
capture scalar convergence = conv 
di ""

gen posest = expbenefit>0 if expbenefit!=.
gen posgr = gdppcgrpwt>0 if expbenefit!=.
noi tab posgr  posest



* Figure 3:
hist expbenefit, name(three, replace)




* Calculating Growth Benefit for MODEL 1 in Table 2

reg gdppcgrpwt capformgr laborfor_gr inflation dum1-dum202 lamG lamI if und==1, robust

capture scalar b1cons = _b[_cons]
capture scalar b1lamG = _b[lamG]
capture scalar b1lamI = _b[lamI]


foreach var of varlist capformgr laborfor_gr inflation   dum1-dum202{
capture scalar b1`var' = _b[`var']
}

capture gen ranbenefit = b1cons-b0cons

foreach var of varlist capformgr laborfor_gr inflation dum1-dum202{
capture replace ranbenefit =  ranbenefit -b0`var'*`var'
}

foreach var of varlist capformgr laborfor_gr inflation dum1-dum202{
capture replace ranbenefit =  ranbenefit + b1`var'*`var'
}

capture sum ranbenefit
capture scalar rantot = r(N)
capture scalar ranmn = r(mean)
capture count if ranbenefit>0 & ranbenefit!=.
capture scalar ranpos = r(N)

capture noisily di "Average Random Benefit is " ranmn
capture noisily di ranpos " out of " rantot " countries predicted to have positive program effect, (" 100*ranpos/rantot " percent)"

capture gen grossbenefit =  gdppcgrpwt - b0cons - b0lamG*lamG - b0lamI*lamI if und==1
foreach var of varlist capformgr laborfor_gr inflation  dum1-dum202{
capture replace grossbenefit =  grossbenefit - b0`var'*`var' if und==1
}

capture sum grossbenefit
capture scalar grotot = r(N)
capture scalar gromn = r(mean)
capture count if grossbenefit>0 & grossbenefit!=.
capture scalar gropos = r(N)


di ""
capture noisily di "Average Gross Benefit for Treated is " gromn
capture noisily di gropos " out of " grotot " countries predicted to have positive program effect, (" 100*gropos/grotot " percent)"


capture gen expbenefit =  (b1cons-b0cons) + (b1lamG-b0lamG)*lamG + (b1lamI-b0lamI)*lamI if und==1
foreach var of varlist capformgr laborfor_gr inflation  dum1-dum202{
capture replace expbenefit =  expbenefit -b0`var'*`var' if  und==1
}

foreach var of varlist capformgr laborfor_gr inflation  dum1-dum202{
capture replace expbenefit =  expbenefit +b1`var'*`var' if  und==1
}

capture sum expbenefit
capture scalar exptot = r(N)
capture scalar expmn = r(mean)
capture count if expbenefit>0 & expbenefit!=.
capture scalar exppos = r(N)

di ""
di ""
capture noisily di "Average Expected Benefit for Treated is " expmn
capture noisily di exppos " out of " exptot " countries predicted to have positive program effect, (" 100*exppos/exptot " percent)"
capture scalar convergence = conv 
di ""

gen posest = expbenefit>0 if expbenefit!=.
gen posgr = gdppcgrpwt>0 if expbenefit!=.
noi tab posgr  posest


* FIGURE 2

set more off
foreach var of varlist reserves deficitM debtser ki sum IMFother legelec bop democracy {
sum `var'
scalar `var'mn = r(mean)
range `var'range r(mean)-2*r(sd) r(mean)+2*r(sd)
gen `var'range2 = (`var'range-r(mean))/r(sd)
}



ml model lf STRvreelandALT_lf /u12 (u13: und = reserves deficitM debtser ki sum IMFother legelec, nocons) (u23:und = bop IMFother democracy)
matrix inits = (-3.472838, -.058627, -.0037009, .0547473, -.0210273, .0485095, .0008122, -.0510027, -.0305612, .0283492, -.3656841, .6120965)
ml init inits, copy skip
ml maximize, difficult iterate(200)

predictnl predict_bop = normal((_b[u13:reserves]*reservesmn + _b[u13:deficitM]*deficitMmn + _b[u13:debtser]*debtsermn + _b[u13:ki]*kimn + _b[u13:sum]*summn + _b[u13:IMFother]*IMFothermn + _b[u13:legelec]*legelecmn)*normal(_b[u23:_cons] + _b[u23:bop]*boprange + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn) + (1-normal(_b[u23:_cons] + _b[u23:bop]*boprange + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn))*_b[u12:_cons]), ci(bop_up bop_do)  
sort boprange
twoway (line predict_bop boprange2) 

predictnl predict_res = normal((_b[u13:reserves]*reservesrange + _b[u13:deficitM]*deficitMmn + _b[u13:debtser]*debtsermn + _b[u13:ki]*kimn + _b[u13:sum]*summn + _b[u13:IMFother]*IMFothermn + _b[u13:legelec]*legelecmn)*normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn) + (1-normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn))*_b[u12:_cons]), ci(res_up res_do)  
sort reservesrange
twoway (line predict_res reservesrange2) 

predictnl predict_def = normal((_b[u13:reserves]*reservesmn + _b[u13:deficitM]*deficitMrange + _b[u13:debtser]*debtsermn + _b[u13:ki]*kimn + _b[u13:sum]*summn + _b[u13:IMFother]*IMFothermn + _b[u13:legelec]*legelecmn)*normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn) + (1-normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn))*_b[u12:_cons]), ci(def_up def_do)  
sort deficitMrange
twoway (line predict_def deficitMrange2)

predictnl predict_deb = normal((_b[u13:reserves]*reservesmn + _b[u13:deficitM]*deficitMmn + _b[u13:debtser]*debtserrange + _b[u13:ki]*kimn + _b[u13:sum]*summn + _b[u13:IMFother]*IMFothermn + _b[u13:legelec]*legelecmn)*normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn) + (1-normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn))*_b[u12:_cons]), ci(deb_up deb_do)  
sort debtserrange
twoway (line predict_deb debtserrange2) 


* all combined
twoway (line predict_bop boprange2, sort) (line predict_res reservesrange2, sort) (line predict_def deficitMrange2, sort) (line predict_deb debtserrange2, sort)


* FIGURE 3:
hist expbenefit, name(three, replace)



* FIGURE 5

* for inv mills: coef.probG* normalden()/(normal)
* for figure, multiply y-axis by 100 to get the correct scale.

predictnl predict_resgr = .009* normalden((_b[u13:reserves]*reservesrange + _b[u13:deficitM]*deficitMmn + _b[u13:debtser]*debtsermn + _b[u13:ki]*kimn + _b[u13:sum]*summn + _b[u13:IMFother]*IMFothermn + _b[u13:legelec]*legelecmn)*normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn) + (1-normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn))*_b[u12:_cons])/normal((_b[u13:reserves]*reservesrange + _b[u13:deficitM]*deficitMmn + _b[u13:debtser]*debtsermn + _b[u13:ki]*kimn + _b[u13:sum]*summn + _b[u13:IMFother]*IMFothermn + _b[u13:legelec]*legelecmn)*normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn) + (1-normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn))*_b[u12:_cons]), ci(resgr_up resgr_do)  
sort reservesrange
twoway (line predict_resgr reservesrange) 

predictnl predict_defgr = .009* normalden((_b[u13:reserves]*reservesmn + _b[u13:deficitM]*deficitMrange + _b[u13:debtser]*debtsermn + _b[u13:ki]*kimn + _b[u13:sum]*summn + _b[u13:IMFother]*IMFothermn + _b[u13:legelec]*legelecmn)*normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn) + (1-normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn))*_b[u12:_cons])/normal((_b[u13:reserves]*reservesmn + _b[u13:deficitM]*deficitMrange + _b[u13:debtser]*debtsermn + _b[u13:ki]*kimn + _b[u13:sum]*summn + _b[u13:IMFother]*IMFothermn + _b[u13:legelec]*legelecmn)*normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn) + (1-normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn))*_b[u12:_cons]), ci(defgr_up defgr_do)  
sort deficitMrange
twoway (line predict_defgr deficitMrange)

predictnl predict_debgr = .009* normalden((_b[u13:reserves]*reservesmn + _b[u13:deficitM]*deficitMmn + _b[u13:debtser]*debtserrange + _b[u13:ki]*kimn + _b[u13:sum]*summn + _b[u13:IMFother]*IMFothermn + _b[u13:legelec]*legelecmn)*normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn) + (1-normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn))*_b[u12:_cons])/normal((_b[u13:reserves]*reservesmn + _b[u13:deficitM]*deficitMmn + _b[u13:debtser]*debtserrange + _b[u13:ki]*kimn + _b[u13:sum]*summn + _b[u13:IMFother]*IMFothermn + _b[u13:legelec]*legelecmn)*normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn) + (1-normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn))*_b[u12:_cons]), ci(debgr_up debgr_do)  
sort debtserrange
twoway (line predict_debgr debtserrange) 

predictnl predict_invgr = .009* normalden((_b[u13:reserves]*reservesmn + _b[u13:deficitM]*deficitMmn + _b[u13:debtser]*debtsermn + _b[u13:ki]*kirange + _b[u13:sum]*summn + _b[u13:IMFother]*IMFothermn + _b[u13:legelec]*legelecmn)*normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn) + (1-normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn))*_b[u12:_cons])/normal((_b[u13:reserves]*reservesmn + _b[u13:deficitM]*deficitMmn + _b[u13:debtser]*debtsermn + _b[u13:ki]*kirange + _b[u13:sum]*summn + _b[u13:IMFother]*IMFothermn + _b[u13:legelec]*legelecmn)*normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn) + (1-normal(_b[u23:_cons] + _b[u23:bop]*bopmn + _b[u23:IMFother]*IMFothermn + _b[u23:democracy]*democracymn))*_b[u12:_cons]), ci(invgr_up invgr_do)  
sort kirange
twoway (line predict_invgr kirange) 

* this puts all x-axis on the same scale by standardizing
twoway (line predict_resgr reservesrange2) (line predict_defgr deficitMrange2) (line predict_debgr debtserrange2) (line predict_invgr kirange2)


* Note: additional results using imputation are available from the authors upon request

